group "uz.uzinfocom.myid"
version "1.1.0"

buildscript {
    ext.kotlin_version = "1.7.21"

    repositories {
        google()
        mavenCentral()
    }

    dependencies {
        classpath "com.android.tools.build:gradle:7.1.3"
        classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlin_version"
    }
}

rootProject.allprojects {
    repositories {
        google()
        mavenCentral()
        maven { url "https://artifactory.aigroup.uz:443/artifactory/myid/" }
    }
}

apply plugin: "com.android.library"
apply plugin: "kotlin-android"

android {
    namespace "uz.uzinfocom.myid"
    compileSdk 34

    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }

    kotlinOptions {
        jvmTarget = "1.8"
    }

    sourceSets {
        main.java.srcDirs += "src/main/kotlin"
    }

    defaultConfig {
        minSdk 21
    }
}

dependencies {
    implementation("uz.myid.sdk.capture:myid-flutter-capture-sdk:1.1.0")
}